Loading...
Searching...
No Matches
Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > Struct Template Reference

collects all GridGlue data required for communication More...

`#include <dune/grid-glue/adapter/gridgluecommunicate.hh>`

## Public Types

typedef DataTypeImp | value_type
typedef GG | GridGlue
typedef DataTypeImp | DataType

## Public Member Functions

| CommInfo ()

## Public Attributes

const GridGlue GridGlue * | gridglue
::Dune::GridGlue::CommDataHandle< DataHandleImp, DataTypeImp > * | data
std::vector< DataType > | buffer
mutable ::Dune::GridGlue::StreamingMessageBuffer< DataType > | mbuffer
size_t | currentsize
Dune::CommunicationDirection | dir

## Detailed Description

template<typename GG, class DataHandleImp, class DataTypeImp>
struct Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >

collects all GridGlue data required for communication

## Member Typedef Documentation

## DataType

template<typename GG, class DataHandleImp, class DataTypeImp>

typedef DataTypeImp Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::DataType

## GridGlue

template<typename GG, class DataHandleImp, class DataTypeImp>

typedef GG Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::GridGlue

## value_type

template<typename GG, class DataHandleImp, class DataTypeImp>

typedef DataTypeImp Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::value_type

## Constructor & Destructor Documentation

## CommInfo()

template<typename GG, class DataHandleImp, class DataTypeImp>

Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::CommInfo | ( |  | ) |

inline

## Member Data Documentation

## buffer

template<typename GG, class DataHandleImp, class DataTypeImp>

std::vector<DataType> Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::buffer

## currentsize

template<typename GG, class DataHandleImp, class DataTypeImp>

size_t Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::currentsize

## data

template<typename GG, class DataHandleImp, class DataTypeImp>

::Dune::GridGlue::CommDataHandle<DataHandleImp, DataTypeImp>* Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::data

## dir

template<typename GG, class DataHandleImp, class DataTypeImp>

Dune::CommunicationDirection Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::dir

## gridglue

template<typename GG, class DataHandleImp, class DataTypeImp>

const GridGlue GridGlue* Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::gridglue

## mbuffer

template<typename GG, class DataHandleImp, class DataTypeImp>

mutable ::Dune::GridGlue::StreamingMessageBuffer<DataType> Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >::mbuffer

The documentation for this struct was generated from the following file:

- gridgluecommunicate.hh